# ``twisted`.`conch`.`recvline`.`Logging``

class documentation

`class Logging: (source)`

View In Hierarchy

Wrapper which logs attribute lookups.

This was useful in debugging something, I guess. I forget what. It can probably be deleted or moved somewhere more appropriate. Nothing special going on here, really.

Method | `__getattribute__` | Undocumented
Method | `__init__` | Undocumented
Method | `__repr__` | Undocumented
Method | `__str__` | Undocumented
Instance Variable | `original` | Undocumented
Instance Variable | `_logFile` | Undocumented

def __getattribute__(self, name): (source)

Undocumented

def __init__(self, original): (source)

Undocumented

def __repr__(self): (source)

Undocumented

Returns
`str` | Undocumented

def __str__(self): (source)

Undocumented

Returns
`str` | Undocumented

original = (source)

Undocumented

_logFile = (source)

Undocumented